function dl_demos(demoroot,DLMethod)
api_querry = "https://git.engee.com/api/v4/groups/19/projects?include_subgroups=true&per_page=20";
request = HTTP.get(api_querry,decompress=true);

println("Getting list of repos...");
# Pagination handling
header_dict = Dict(request.headers);
cur_page = parse(Int32,header_dict["X-Page"]);
tot_page = parse(Int32,header_dict["X-Total-Pages"]);

resp_body = String(request.body);
repos_dict = JSON.parse(resp_body,dicttype=Dict);

while(cur_page < tot_page)
    cur_page += 1;
    api_querry_page = api_querry*"&page=$cur_page";
    page = HTTP.get(api_querry_page,decompress=true);
    page_body = String(page.body);
    page_dict = JSON.parse(IOBuffer(page_body),dicttype=Dict);
    append!(repos_dict,page_dict);
end

println("Getting repos...")
for i=1:length(repos_dict)
    path_ns = replace(repos_dict[i]["path_with_namespace"],"learn-engee" => "");
    path_ns = replace(path_ns,"-"=>"_");
    if(repos_dict[i]["name"] == "Engee Examples")
        continue;
    end
    co_path = demoroot*path_ns;
    if DLMethod == "HTTP"
        origin = repos_dict[i]["http_url_to_repo"];
    elseif DLMethod == "SSH"
        origin = repos_dict[i]["ssh_url_to_repo"];
    else
        error("Incorrect DL Method");
    end
    co_cmd = `git clone $origin $co_path --depth 1`;
    run(co_cmd)
end

end